v1.0
get
/ec-auth-svc/rest/v1.0/userinfo
Deprecated: Use '/v2.0/userinfo' instead. The v2 endpoint returns additional attribute fields and expanded user info. This endpoint returns user identity and global rights as in earlier API version. Suggested alternate: /v2.0/userinfo (adds 'userAttributes', returns UUID as 'userId', plus other improvements).
Request
There are no request parameters for this operation.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : UserInfoDto
Type:
objectUser information (v1): identity and rights.
Show Source
-
emailAddress: string
(email)
Email address of the user.Example:
alice.smith@example.com -
firstName: string
First name of the user.Example:
Alice -
globalRights: array
globalRights
Unique Items Required:
trueSet of global rights for the user. -
lastName: string
Last name of the user.Example:
Smith
Nested Schema : globalRights
Type:
arrayUnique Items Required:
trueSet of global rights for the user.
Show Source
-
Array of:
string
Set of global rights for the user.Example:
["StudyStatePost","OrsSiteShipmentPost"]
Example:
[
"StudyStatePost",
"OrsSiteShipmentPost"
]Examples
400 Response
Bad request
Root Schema : AuthResponse
Type:
objectGeneric API response wrapper containing result, error data, response version and status.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result data of the API response; actual type depends on the API
-
status: string
(none)
Indicates request success ("success") or failure ("failure").Example:
success -
version: integer
(int32)
Version of the response schema.Example:
1
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@65719c12Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.